%define module	singledispatch

Name:		python-%{module}
Version:	3.4.0.3
Release:	4
Summary:	This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3
Group:		Development/Python
License:	MIT
URL:		http://docs.python.org/3/library/functools.html#functools.singledispatch
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(setuptools)
BuildRequires:	pythonegg(six)


%description
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality to Python 2.6 - 3.3.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)
BuildRequires:	python3egg(six)


%description -n python3-%{module}
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality to Python 2.6 - 3.3.

This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

# remove /usr/bin/env python from scripts
sed -i '1d' singledispatch.py
sed -i '1d' singledispatch_helpers.py

cp -a . %{py3dir}

%build
python setup.py build

pushd %{py3dir}
python3 setup.py build
popd

%install
python setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
python3 setup.py install --root=%{buildroot} --skip-build
popd

%check
python setup.py test

pushd %{py3dir}
python3 setup.py test
popd

%files
%doc README.rst
%{py_puresitedir}/%{module}.py*
%{py_puresitedir}/%{module}_helpers.py*
%{py_puresitedir}/%{module}-%{version}-py%{py_ver}.egg-info

%files -n python3-%{module}
%doc README.rst
%{py3_puresitedir}/%{module}.py*
%{py3_puresitedir}/%{module}_helpers.py*
%{py3_puresitedir}/%{module}-%{version}-py%{py3_ver}.egg-info



%changelog

* Thu Aug 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 3.4.0.3-4
- (72c14f4) Move to main


